USE [$(dbname)]
GO
/****** Object:  Schema [$(schema)]    Script Date: 05/09/2013 14:53:06 ******/
CREATE SCHEMA [$(schema)] AUTHORIZATION [dbo]
GO
/****** Object:  Table [$(schema)].[DataNames]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[DataNames](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[DataName] [varchar](255) NOT NULL,
 CONSTRAINT [PK_DataNames] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_DataNames] UNIQUE NONCLUSTERED 
(
	[DataName] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[acl_sid]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[acl_sid](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[principal] [bit] NOT NULL,
	[sid] [varchar](100) NOT NULL,
 CONSTRAINT [PK_acl_sid] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[acl_object_identity]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[acl_object_identity](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[object_id_class] [bigint] NOT NULL,
	[object_id_identity] [bigint] NOT NULL,
	[owner_sid] [bigint] NOT NULL,
	[parent_object] [bigint] NULL,
	[entries_inheriting] [bit] NOT NULL,
 CONSTRAINT [PK_acl_object_identity] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[acl_entry]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[acl_entry](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[acl_object_identity] [bigint] NOT NULL,
	[sid] [bigint] NOT NULL,
	[mask] [int] NOT NULL,
	[ace_order] [int] NOT NULL,
	[granting] [bit] NOT NULL,
	[audit_success] [bit] NOT NULL,
	[audit_failure] [bit] NOT NULL,
 CONSTRAINT [PK_acl_entry] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[acl_class]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[acl_class](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[class] [varchar](255) NOT NULL,
 CONSTRAINT [PK_acl_class] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_acl_class] UNIQUE NONCLUSTERED 
(
	[class] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[Environments]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[Environments](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Name] [varchar](45) NOT NULL,
	[Description] [varchar](255) NOT NULL,
 CONSTRAINT [PK_Environments] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_Environments] UNIQUE NONCLUSTERED 
(
	[Name] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[Licences]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[Licences](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Name] [varchar](255) NOT NULL,
	[Version] [varchar](255) NOT NULL,
	[Source] [varchar](255) NOT NULL,
	[LicenceType] [varchar](255) NOT NULL,
	[LicenceFile] [varchar](255) NOT NULL,
 CONSTRAINT [PK_Licences] PRIMARY KEY CLUSTERED 
(
	[Name] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_Licences] UNIQUE NONCLUSTERED 
(
	[Name] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[groups]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[groups](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[group_name] [varchar](50) NOT NULL,
 CONSTRAINT [PK_groups] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_groups] UNIQUE NONCLUSTERED 
(
	[group_name] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[PlannedTestCases]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[PlannedTestCases](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Sequence] [int] NOT NULL,
	[Original] [bit] NOT NULL,
	[TestCaseRef] [bigint] NOT NULL,
	[PlannedScenarioRef] [bigint] NULL,
 CONSTRAINT [PK_PlannedTestCases] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_PlannedTestCases] UNIQUE NONCLUSTERED 
(
	[PlannedScenarioRef] ASC,
	[Sequence] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[group_authorities]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[group_authorities](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[group_id] [bigint] NOT NULL,
	[authority] [varchar](50) NOT NULL,
 CONSTRAINT [PK_group_authorities] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[Users]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[Users](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Username] [varchar](15) NOT NULL,
	[Password] [varchar](255) NOT NULL,
	[UserTypeGroupName] [varchar](50) NOT NULL,
	[Enabled] [bit] NOT NULL,
 CONSTRAINT [PK_Users] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_Users] UNIQUE NONCLUSTERED 
(
	[Username] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[UserEnvironments]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[UserEnvironments](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[url] [varchar](767) NULL,
	[dataStorePath] [varchar](767) NULL,
	[logPath] [varchar](767) NULL,
	[outputPath] [varchar](767) NULL,
	[testToolPath] [varchar](767) NULL,
	[Enabled] BIT NOT NULL DEFAULT 1,
	[environmentRef] [bigint] NULL,
	[userRef] [bigint] NULL,
 CONSTRAINT [PK_UserEnvironments] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_UserEnvironments] UNIQUE NONCLUSTERED 
(
	[userRef] ASC,
	[environmentRef] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/** Create UserPreferences table  */
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[UserPreferences](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[preferenceKey] [varchar](255) NULL,
	[preferenceValue] [varchar](767) NULL,
	[userRef] [bigint] NULL,
 CONSTRAINT [PK_UserPreferences] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_UserPreferences] UNIQUE NONCLUSTERED 
(
	[userRef] ASC,
	[preferenceKey] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/** Create UserEnvironmentPreferences table  */
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[UserEnvironmentPreferences](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[preferenceKey] [varchar](255) NULL,
	[preferenceValue] [varchar](767) NULL,
	[userEnvironmentRef] [bigint] NULL,
 CONSTRAINT [PK_UserEnvironmentPreferences] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_UserEnVironmentPreferences] UNIQUE NONCLUSTERED 
(
	[userEnvironmentRef] ASC,
	[preferenceKey] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/** Create ExecutionTestSuitePreferences table  */
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[ExecutionTestSuitePreferences](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[preferenceKey] [varchar](255) NULL,
	[preferenceValue] [varchar](767) NULL,
	[executionTestSuiteRef] [bigint] NULL,
 CONSTRAINT [PK_ExecutionTestSuitePreferences] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_ExecutionTestSuitePreferences] UNIQUE NONCLUSTERED 
(
	[executionTestSuiteRef] ASC,
	[preferenceKey] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[Signins]    Script Date: 05/09/2013 14:53:06 ******/

/** Create EnvironmentPreferences table  */
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[EnvironmentPreferences](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[preferenceKey] [varchar](255) NULL,
	[preferenceValue] [varchar](767) NULL,
	[environmentRef] [bigint] NULL,
 CONSTRAINT [PK_EnvironmentPreferences] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_EnvironmentPreferences] UNIQUE NONCLUSTERED 
(
	[environmentRef] ASC,
	[preferenceKey] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO

/****** Object:  ForeignKey [FK_EnvironmentPreferences_Environments]   */
ALTER TABLE [$(schema)].[EnvironmentPreferences]  WITH CHECK ADD  CONSTRAINT [FK_EnvironmentPreferences_Environments] FOREIGN KEY([environmentRef])
REFERENCES [$(schema)].[Environments] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[EnvironmentPreferences] CHECK CONSTRAINT [FK_EnvironmentPreferences_Environments]
GO

/****** Object:  Table [$(schema)].[Signins]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[Signins](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Machine] [varchar](255) NOT NULL,
	[DataStorePath] [varchar](767) NOT NULL,
	[environmentRef] [bigint] NOT NULL,
	[userRef] [bigint] NOT NULL,
 CONSTRAINT [PK_Signins] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_Signins] UNIQUE NONCLUSTERED 
(
	[userRef] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[Scripts]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[Scripts](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[PackageName] [varchar](255) NOT NULL,
	[ScriptName] [varchar](255) NOT NULL,
	[LastModified] [datetime] NOT NULL,
	[environmentRef] [bigint] NOT NULL,
 CONSTRAINT [PK_Scripts] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_Scripts] UNIQUE NONCLUSTERED 
(
	[environmentRef] ASC,
	[PackageName] ASC,
	[ScriptName] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[GeneratedValues]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[GeneratedValues](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[GeneratedName] [char](8) NOT NULL,
	[GeneratedValue] [char](8) NOT NULL,
	[environmentRef] [bigint] NOT NULL,
 CONSTRAINT [PK_GeneratedValues] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_GeneratedValues] UNIQUE NONCLUSTERED 
(
	[environmentRef] ASC,
	[GeneratedName] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[TestCases]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[TestCases](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Name] [varchar](45) NOT NULL,
	[Description] [varchar](255) NOT NULL,
	[environmentRef] [bigint] NOT NULL, 
    [Reason] VARCHAR(255) NULL,
    [DateTimeChanged] DATETIME NULL, 
    [Enabled] BIT NOT NULL DEFAULT 1,
    [userRef] BIGINT NULL,
    [testCaseRef] BIGINT NULL
 CONSTRAINT [PK_TestCases] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[Scenarios]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[Scenarios](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Name] [varchar](45) NOT NULL,
	[Description] [varchar](255) NOT NULL,
	[environmentRef] [bigint] NOT NULL, 
    [Reason] VARCHAR(255) NULL,
    [DateTimeChanged] DATETIME NULL, 
    [Enabled] BIT NOT NULL DEFAULT 1,
    [userRef] BIGINT NULL,
    [scenarioRef] BIGINT NULL
 CONSTRAINT [PK_Scenarios] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[PlannedActions]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[PlannedActions](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Sequence] [int] NOT NULL,
	[actionNameRef] [bigint] NOT NULL,
	[plannedTestCaseRef] [bigint] NOT NULL,
 CONSTRAINT [PK_PlannedActions] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_PlannedActions] UNIQUE NONCLUSTERED 
(
	[plannedTestCaseRef] ASC,
	[Sequence] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[group_members]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[group_members](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[username] [varchar](50) NOT NULL,
	[group_id] [bigint] NOT NULL,
 CONSTRAINT [PK_group_members] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_group_members] UNIQUE NONCLUSTERED 
(
	[username] ASC,
	[group_id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[Authorities]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[Authorities](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Authority] [varchar](255) NOT NULL,
	[userRef] [bigint] NOT NULL,
 CONSTRAINT [PK_Authorities] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_Authorities] UNIQUE NONCLUSTERED 
(
	[userRef] ASC,
	[Authority] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[EmailCredentials]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[EmailCredentials](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[EmailServer] [varchar](255) NOT NULL,
	[EmailPort] [int] NOT NULL,
	[EmailAddress] [varchar](255) NOT NULL,
	[EmailPassword] [varbinary](255) NOT NULL,
	[Encoded] [binary](8) NOT NULL,
 CONSTRAINT [PK_EmailCredentials] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[ActionNames]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[ActionNames](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Name] [varchar](45) NOT NULL,
	[Description] [varchar](255) NOT NULL,
	[Application] [varchar](45) NOT NULL,
	[Enabled] [bit] NOT NULL,
	[scriptRef] [bigint] NOT NULL,
 CONSTRAINT [PK_ActionNames] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_ActionNames] UNIQUE NONCLUSTERED 
(
	[scriptRef] ASC,
	[Name] ASC,
	[Application] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[DataGroups]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[DataGroups](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Name] [varchar](45) NOT NULL,
	[Description] [varchar](767) NOT NULL,
	[scriptRef] [bigint] NOT NULL,
 CONSTRAINT [PK_DataGroups] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_DataGroups] UNIQUE NONCLUSTERED 
(
	[scriptRef] ASC,
	[Name] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[ExecutionTestSuites]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[ExecutionTestSuites](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Name] [varchar](45) NOT NULL,
	[Description] [varchar](255) NOT NULL,
	[Status] [char](7) NOT NULL,
	[Visible] [bit] NOT NULL DEFAULT 1,
	[userEnvironmentRef] [bigint] NOT NULL, 
    [Reason] VARCHAR(255) NULL,
    [DateTimeChanged] DATETIME NULL, 
    [Enabled] BIT NOT NULL DEFAULT 1,
    [userRef] BIGINT NULL,
    [executionTestSuiteRef] BIGINT NULL
 CONSTRAINT [PK_ExecutionTestSuites] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[BatchRequests]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[BatchRequests](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[TestPlan] [varchar](767) NOT NULL,
	[ResultsPath] [varchar](767) NOT NULL,
	[FileFormat] [char](3) NOT NULL,
	[ResultsCategory] [char](4) NOT NULL,
	[userEnvironmentRef] [bigint] NOT NULL,
	[EmailResults] [bit] NOT NULL,
 CONSTRAINT [PK_BatchRequests] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_BatchRequests] UNIQUE NONCLUSTERED 
(
	[userEnvironmentRef] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[PlannedScenarios]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[PlannedScenarios](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[scenarioRef] [bigint] NOT NULL,
 CONSTRAINT [PK_PlannedScenarios] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_PlannedScenarios] UNIQUE NONCLUSTERED 
(
	[scenarioRef] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[TestCaseResults]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[TestCaseResults](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[DateTimeStarted] [datetime] NOT NULL,
	[DateTimeCompleted] [datetime] NOT NULL,
	[TestResult] [int] NOT NULL,
	[testCaseRef] [bigint] NOT NULL,
	[scenarioResultsRef] [bigint] NOT NULL,
 CONSTRAINT [PK_TestCaseResults] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_TestCaseResults] UNIQUE NONCLUSTERED 
(
	[scenarioResultsRef] ASC,
	[DateTimeStarted] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[ScriptDataNames]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[ScriptDataNames](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Sequence] [int] NOT NULL,
	[Type] [int] NOT NULL,
	[Getter] [bit] NOT NULL,
	[Setter] [bit] NOT NULL,
	[dataNameRef] [bigint] NOT NULL,
	[scriptRef] [bigint] NOT NULL,
 CONSTRAINT [PK_ScriptDataNames] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_ScriptDataNames] UNIQUE NONCLUSTERED 
(
	[scriptRef] ASC,
	[dataNameRef] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[UserScriptData]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[UserScriptData](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[NextAvailable] [int] NOT NULL,
	[dataGroupRef] [bigint] NOT NULL,
	[userRef] [bigint] NOT NULL,
 CONSTRAINT [PK_UserScriptData] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_UserScriptData] UNIQUE NONCLUSTERED 
(
	[dataGroupRef] ASC,
	[userRef] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[Scriptdata]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[Scriptdata](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[NextAvailable] [int] NOT NULL,
	[dataGroupRef] [bigint] NOT NULL,
	[userRef] [bigint] NOT NULL,
 CONSTRAINT [PK_Scriptdata] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_Scriptdata] UNIQUE NONCLUSTERED 
(
	[dataGroupRef] ASC,
	[userRef] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[TestSuiteResults]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[TestSuiteResults](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[DateTimeStarted] datetime NOT NULL, 
	[DateTimeCompleted] datetime NOT NULL,
	[Name] [varchar](100) NOT NULL,
	[Description] [varchar](255) NOT NULL,
	[TestResult] [int] NOT NULL,
	[Visible] [bit] NOT NULL DEFAULT 1,
	[filterSuiteRef] [bigint] NULL,
	[executionTestSuiteRef] [bigint] NOT NULL,
 CONSTRAINT [PK_TestSuiteResults] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_TestSuiteResults] UNIQUE NONCLUSTERED 
(
	[executionTestSuiteRef],
	[Name],
	[DateTimeStarted] DESC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[FilterSuites]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[FilterSuites](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Name] [varchar](45) NOT NULL,
	[Description] [varchar](255) NOT NULL,
	[executionTestSuiteRef] [bigint] NOT NULL, 
    [Reason] VARCHAR(255) NULL,
    [DateTimeChanged] DATETIME NULL, 
    [Enabled] BIT NOT NULL DEFAULT 1,
    [userRef] BIGINT NULL,
    [filterSuiteRef] BIGINT NULL
 CONSTRAINT [PK_FilterSuites] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[ActionResults]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[ActionResults](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[DateTimeStarted] [datetime] NOT NULL,
	[DateTimeCompleted] [datetime] NOT NULL,
	[TestResult] [int] NOT NULL,
	[actionNameRef] [bigint] NOT NULL,
	[testCaseResultsRef] [bigint] NOT NULL,
 CONSTRAINT [PK_ActionResults] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_ActionResults] UNIQUE NONCLUSTERED 
(
	[testCaseResultsRef] ASC,
	[DateTimeStarted] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[ExecutionScenarios]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[ExecutionScenarios](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Sequence] [int] NOT NULL,
	[iterating] [bit] NOT NULL,
	[maximumRowsToExecute] [int] NOT NULL,
	[stopOnFailure] [bit] NOT NULL,
	[plannedScenarioRef] [bigint] NOT NULL,
	[executionTestSuiteRef] [bigint] NOT NULL,
 CONSTRAINT [PK_ExecutionScenarios] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_ExecutionScenarios] UNIQUE NONCLUSTERED 
(
	[executionTestSuiteRef] ASC,
	[Sequence] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[ExecutionTestCases]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[ExecutionTestCases](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Sequence] [int] NOT NULL,
	[plannedTestCaseRef] [bigint] NOT NULL,
	[executionScenarioRef] [bigint] NOT NULL,
 CONSTRAINT [PK_ExecutionTestCases] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_ExecutionTestCases] UNIQUE NONCLUSTERED 
(
	[executionScenarioRef] ASC,
	[Sequence] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[ExecutionScenarioVariables]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[ExecutionScenarioVariables](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[dataNameRef] [bigint] NOT NULL,
	[executionScenarioRef] [bigint] NOT NULL,
 CONSTRAINT [PK_ExecutionScenarioVariables] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_ExecutionScenarioVariables] UNIQUE NONCLUSTERED 
(
	[executionScenarioRef] ASC,
	[dataNameRef] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[FilterScenarios]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[FilterScenarios](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[executionScenarioRef] [bigint] NOT NULL,
	[filterSuiteRef] [bigint] NULL,
 CONSTRAINT [PK_FilterScenarios] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_FilterScenarios] UNIQUE NONCLUSTERED 
(
	[filterSuiteRef] ASC,
	[executionScenarioRef] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[DataGroupResults]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[DataGroupResults](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[DateTimeStarted] [datetime] NOT NULL,
	[DateTimeCompleted] [datetime] NOT NULL,
	[TestResult] [int] NOT NULL,
	[dataGroupRef] [bigint] NOT NULL,
	[actionResultsRef] [bigint] NOT NULL,
 CONSTRAINT [PK_DataGroupResults] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_DataGroupResults] UNIQUE NONCLUSTERED 
(
	[actionResultsRef] ASC,
	[DateTimeStarted] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[DataGroupDataNames]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[DataGroupDataNames](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Sequence] [int] NOT NULL,
	[dataNameRef] [bigint] NOT NULL,
	[scriptDataRef] [bigint] NOT NULL,
 CONSTRAINT [PK_DataGroupDataNames] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_DataGroupDataNames] UNIQUE NONCLUSTERED 
(
	[scriptDataRef] ASC,
	[Sequence] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[BatchSuites]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[BatchSuites](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Name] [varchar](100) NOT NULL,
	[Description] [varchar](767) NOT NULL,
	[Sequence] [int] NOT NULL,
	[MaximumRowsToExecute] [int] NOT NULL,
	[SpecifyRowsToRun] [varchar](255) NOT NULL,
	[StopOnFailure] [bit] NOT NULL,
	[executionTestSuiteRef] [bigint] NOT NULL,
	[filterSuiteRef] [bigint] NULL,
	[batchRequestRef] [bigint] NOT NULL,
 CONSTRAINT [PK_BatchSuites] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_BatchSuites] UNIQUE NONCLUSTERED 
(
	[Name] ASC,
	[batchRequestRef] ASC,
	[executionTestSuiteRef] ASC,
	[filterSuiteRef] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[SuiteRowResults]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[SuiteRowResults](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[DateTimeStarted] [datetime] NOT NULL,
	[DateTimeCompleted] [datetime] NOT NULL,
	[Row] [int] NOT NULL,
	[TestResult] [int] NOT NULL,
	[testSuiteResultsRef] [bigint] NOT NULL,
 CONSTRAINT [PK_SuiteRowResults] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_SuiteRowResults] UNIQUE NONCLUSTERED 
(
	[testSuiteResultsRef] ASC,
	[DateTimeStarted] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[RowIdentifiers]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[RowIdentifiers](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Row] [int] NOT NULL,
	[actionNameRef] [bigint] NOT NULL,
	[scriptDataRef] [bigint] NOT NULL,
 CONSTRAINT [PK_RowIdentifiers] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_RowIdentifiers] UNIQUE NONCLUSTERED 
(
	[scriptDataRef] ASC,
	[Row] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[UserRowIdentifiers]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[UserRowIdentifiers](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Row] [int] NOT NULL,
	[actionNameRef] [bigint] NOT NULL,
	[userScriptDataRef] [bigint] NOT NULL,
 CONSTRAINT [PK_UserRowIdentifiers] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_UserRowIdentifiers] UNIQUE NONCLUSTERED 
(
	[userScriptDataRef] ASC,
	[Row] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[UserDataGroupDataNames]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[UserDataGroupDataNames](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Sequence] [int] NOT NULL,
	[dataNameRef] [bigint] NOT NULL,
	[userScriptDataRef] [bigint] NOT NULL,
 CONSTRAINT [PK_UserDataGroupDataNames] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_UserDataGroupDataNames] UNIQUE NONCLUSTERED 
(
	[userScriptDataRef] ASC,
	[Sequence] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[UserActionData]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[UserActionData](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[DataValue] [varchar](767) NOT NULL,
	[Type] [int] NOT NULL,
    [encryptedValue] varbinary(1024) NULL,
    [encodedValue] binary(8) NULL,
	[dataNameRef] [bigint] NOT NULL,
	[userRowIdentifierRef] [bigint] NOT NULL,
 CONSTRAINT [PK_UserActionData] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_UserActionData] UNIQUE NONCLUSTERED 
(
	[userRowIdentifierRef] ASC,
	[dataNameRef] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[ScenarioResults]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[ScenarioResults](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[DateTimeStarted] [datetime] NOT NULL,
	[DateTimeCompleted] [datetime] NOT NULL,
	[TestResult] [int] NOT NULL,
	[scenarioRef] [bigint] NOT NULL,
	[suiteRowResultsRef] [bigint] NOT NULL,
	[iteration] [int] NOT NULL,
 CONSTRAINT [PK_ScenarioResults] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_ScenarioResults] UNIQUE NONCLUSTERED 
(
	[suiteRowResultsRef] ASC,
	[DateTimeStarted] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[ResultsData]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[ResultsData](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[DataName] [varchar](255) NOT NULL,
	[DataValue] [varchar](767) NOT NULL,
	[dataGroupResultsRef] [bigint] NOT NULL,
 CONSTRAINT [PK_ResultsData] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_ResultsData] UNIQUE NONCLUSTERED 
(
	[dataGroupResultsRef] ASC,
	[DataName] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[PreconditionResultsData]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[PreconditionResultsData](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[DataName] [varchar](255) NOT NULL,
	[DataValue] [varchar](767) NOT NULL,
	[dataGroupResultsRef] [bigint] NOT NULL,
 CONSTRAINT [PK_PreconditionResultsData] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_PreconditionResultsData] UNIQUE NONCLUSTERED 
(
	[dataGroupResultsRef] ASC,
	[DataName] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[OutputResultsData]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[OutputResultsData](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[DataName] [varchar](255) NOT NULL,
	[DataValue] [varchar](767) NOT NULL,
	[dataGroupResultsRef] [bigint] NOT NULL,
 CONSTRAINT [PK_OutputResultsData] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_OutputResultsData] UNIQUE NONCLUSTERED 
(
	[dataGroupResultsRef] ASC,
	[DataName] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[MessageResults]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[MessageResults](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[type] [int] NOT NULL,
	[Sequence] [int] NOT NULL,
	[resultText] [varchar](max) NOT NULL,
	[dataGroupResultsRef] [bigint] NOT NULL,
 CONSTRAINT [PK_MessageResults] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_MessageResults] UNIQUE NONCLUSTERED 
(
	[dataGroupResultsRef] ASC,
	[Sequence] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[ActionData]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[ActionData](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[DataValue] [varchar](767) NOT NULL,
	[Type] [int] NOT NULL,
    [encryptedValue] varbinary(1024) NULL,
    [encodedValue] binary(8) NULL,
	[dataNameRef] [bigint] NOT NULL,
	[rowIdentifierRef] [bigint] NOT NULL,
 CONSTRAINT [PK_ActionData] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_ActionData] UNIQUE NONCLUSTERED 
(
	[rowIdentifierRef] ASC,
	[dataNameRef] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [$(schema)].[FilterTestCases]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[FilterTestCases](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[executionTestCaseRef] [bigint] NOT NULL,
	[filterScenarioRef] [bigint] NOT NULL,
 CONSTRAINT [PK_FilterTestCases] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_FilterTestCases] UNIQUE NONCLUSTERED 
(
	[filterScenarioRef] ASC,
	[executionTestCaseRef] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[ExecutionActions]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[ExecutionActions](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Sequence] [int] NOT NULL,
	[plannedActionRef] [bigint] NOT NULL,
	[executionTestCaseRef] [bigint] NOT NULL,
 CONSTRAINT [PK_ExecutionActions] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_ExecutionActions] UNIQUE NONCLUSTERED 
(
	[executionTestCaseRef] ASC,
	[Sequence] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[ExecutionDataGroups]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[ExecutionDataGroups](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[Sequence] [int] NOT NULL,
	[dataGroupRef] [bigint] NOT NULL,
	[executionActionRef] [bigint] NOT NULL,
	[userScriptDataRef] [bigint] NOT NULL,
 CONSTRAINT [PK_ExecutionDataGroups] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_ExecutionDataGroups] UNIQUE NONCLUSTERED 
(
	[executionActionRef] ASC,
	[Sequence] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[FilterActions]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[FilterActions](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[executionActionRef] [bigint] NOT NULL,
	[filterTestCaseRef] [bigint] NOT NULL,
 CONSTRAINT [PK_FilterActions] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_FilterActions] UNIQUE NONCLUSTERED 
(
	[filterTestCaseRef] ASC,
	[executionActionRef] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[FilterDataGroups]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[FilterDataGroups](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[executionDataGroupRef] [bigint] NOT NULL,
	[filterActionRef] [bigint] NOT NULL,
 CONSTRAINT [PK_FilterDataGroups_1] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_FilterDataGroups] UNIQUE NONCLUSTERED 
(
	[filterActionRef] ASC,
	[executionDataGroupRef] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[FilterKeywords]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [$(schema)].[FilterKeywords](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[dataNameRef] [bigint] NOT NULL,
	[filterDataGroupRef] [bigint] NOT NULL,
 CONSTRAINT [PK_FilterKeywords] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_FilterKeywords] UNIQUE NONCLUSTERED 
(
	[filterDataGroupRef] ASC,
	[dataNameRef] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [$(schema)].[FilterValues]    Script Date: 05/09/2013 14:53:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [$(schema)].[FilterValues](
	[id] [bigint] IDENTITY(1,1) NOT NULL,
	[DataValue] [varchar](767) NOT NULL,
	[filterKeywordRef] [bigint] NOT NULL,
 CONSTRAINT [PK_FilterValues] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [IX_FilterValues] UNIQUE NONCLUSTERED 
(
	[filterKeywordRef] ASC,
	[DataValue] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
SET ANSI_PADDING OFF
GO
/****** Object:  ForeignKey [FK_ActionData_DataNames]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ActionData]  WITH CHECK ADD  CONSTRAINT [FK_ActionData_DataNames] FOREIGN KEY([dataNameRef])
REFERENCES [$(schema)].[DataNames] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ActionData] CHECK CONSTRAINT [FK_ActionData_DataNames]
GO
/****** Object:  ForeignKey [FK_ActionData_RowIdentifiers]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ActionData]  WITH CHECK ADD  CONSTRAINT [FK_ActionData_RowIdentifiers] FOREIGN KEY([rowIdentifierRef])
REFERENCES [$(schema)].[RowIdentifiers] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ActionData] CHECK CONSTRAINT [FK_ActionData_RowIdentifiers]
GO
/****** Object:  ForeignKey [FK_ActionNames_Scripts]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ActionNames]  WITH CHECK ADD  CONSTRAINT [FK_ActionNames_Scripts] FOREIGN KEY([scriptRef])
REFERENCES [$(schema)].[Scripts] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ActionNames] CHECK CONSTRAINT [FK_ActionNames_Scripts]
GO
/****** Object:  ForeignKey [FK_ActionResults_ActionNames]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ActionResults]  WITH CHECK ADD  CONSTRAINT [FK_ActionResults_ActionNames] FOREIGN KEY([actionNameRef])
REFERENCES [$(schema)].[ActionNames] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ActionResults] CHECK CONSTRAINT [FK_ActionResults_ActionNames]
GO
/****** Object:  ForeignKey [FK_ActionResults_TestCaseResults]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ActionResults]  WITH CHECK ADD  CONSTRAINT [FK_ActionResults_TestCaseResults] FOREIGN KEY([testCaseResultsRef])
REFERENCES [$(schema)].[TestCaseResults] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ActionResults] CHECK CONSTRAINT [FK_ActionResults_TestCaseResults]
GO
/****** Object:  ForeignKey [FK_Authorities_Users]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[Authorities]  WITH CHECK ADD  CONSTRAINT [FK_Authorities_Users] FOREIGN KEY([userRef])
REFERENCES [$(schema)].[Users] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[Authorities] CHECK CONSTRAINT [FK_Authorities_Users]
GO
/****** Object:  ForeignKey [FK_BatchRequests_UserEnvironments]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[BatchRequests]  WITH CHECK ADD  CONSTRAINT [FK_BatchRequests_UserEnvironments] FOREIGN KEY([userEnvironmentRef])
REFERENCES [$(schema)].[UserEnvironments] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[BatchRequests] CHECK CONSTRAINT [FK_BatchRequests_UserEnvironments]
GO
/****** Object:  ForeignKey [FK_BatchSuites_BatchRequests]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[BatchSuites]  WITH CHECK ADD  CONSTRAINT [FK_BatchSuites_BatchRequests] FOREIGN KEY([batchRequestRef])
REFERENCES [$(schema)].[BatchRequests] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[BatchSuites] CHECK CONSTRAINT [FK_BatchSuites_BatchRequests]
GO
/****** Object:  ForeignKey [FK_BatchSuites_ExecutionTestSuites]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[BatchSuites]  WITH CHECK ADD  CONSTRAINT [FK_BatchSuites_ExecutionTestSuites] FOREIGN KEY([executionTestSuiteRef])
REFERENCES [$(schema)].[ExecutionTestSuites] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[BatchSuites] CHECK CONSTRAINT [FK_BatchSuites_ExecutionTestSuites]
GO
/****** Object:  ForeignKey [FK_BatchSuites_FilterSuites]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[BatchSuites]  WITH CHECK ADD  CONSTRAINT [FK_BatchSuites_FilterSuites] FOREIGN KEY([filterSuiteRef])
REFERENCES [$(schema)].[FilterSuites] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[BatchSuites] CHECK CONSTRAINT [FK_BatchSuites_FilterSuites]
GO
/****** Object:  ForeignKey [FK_DataGroupDataNames_DataNames]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[DataGroupDataNames]  WITH CHECK ADD  CONSTRAINT [FK_DataGroupDataNames_DataNames] FOREIGN KEY([dataNameRef])
REFERENCES [$(schema)].[DataNames] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[DataGroupDataNames] CHECK CONSTRAINT [FK_DataGroupDataNames_DataNames]
GO
/****** Object:  ForeignKey [FK_DataGroupDataNames_Scriptdata]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[DataGroupDataNames]  WITH CHECK ADD  CONSTRAINT [FK_DataGroupDataNames_Scriptdata] FOREIGN KEY([scriptDataRef])
REFERENCES [$(schema)].[Scriptdata] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[DataGroupDataNames] CHECK CONSTRAINT [FK_DataGroupDataNames_Scriptdata]
GO
/****** Object:  ForeignKey [FK_DataGroupResults_ActionResults]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[DataGroupResults]  WITH CHECK ADD  CONSTRAINT [FK_DataGroupResults_ActionResults] FOREIGN KEY([actionResultsRef])
REFERENCES [$(schema)].[ActionResults] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[DataGroupResults] CHECK CONSTRAINT [FK_DataGroupResults_ActionResults]
GO
/****** Object:  ForeignKey [FK_DataGroupResults_DataGroups]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[DataGroupResults]  WITH CHECK ADD  CONSTRAINT [FK_DataGroupResults_DataGroups] FOREIGN KEY([dataGroupRef])
REFERENCES [$(schema)].[DataGroups] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[DataGroupResults] CHECK CONSTRAINT [FK_DataGroupResults_DataGroups]
GO
/****** Object:  ForeignKey [FK_DataGroups_Scripts]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[DataGroups]  WITH CHECK ADD  CONSTRAINT [FK_DataGroups_Scripts] FOREIGN KEY([scriptRef])
REFERENCES [$(schema)].[Scripts] ([id])
GO
ALTER TABLE [$(schema)].[DataGroups] CHECK CONSTRAINT [FK_DataGroups_Scripts]
GO
/****** Object:  ForeignKey [FK_ExecutionActions_ExecutionTestCases]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ExecutionActions]  WITH CHECK ADD  CONSTRAINT [FK_ExecutionActions_ExecutionTestCases] FOREIGN KEY([executionTestCaseRef])
REFERENCES [$(schema)].[ExecutionTestCases] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ExecutionActions] CHECK CONSTRAINT [FK_ExecutionActions_ExecutionTestCases]
GO
/****** Object:  ForeignKey [FK_ExecutionActions_PlannedActions]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ExecutionActions]  WITH CHECK ADD  CONSTRAINT [FK_ExecutionActions_PlannedActions] FOREIGN KEY([plannedActionRef])
REFERENCES [$(schema)].[PlannedActions] ([id])
GO
ALTER TABLE [$(schema)].[ExecutionActions] CHECK CONSTRAINT [FK_ExecutionActions_PlannedActions]
GO
/****** Object:  ForeignKey [FK_ExecutionDataGroups_DataGroups]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ExecutionDataGroups]  WITH CHECK ADD  CONSTRAINT [FK_ExecutionDataGroups_DataGroups] FOREIGN KEY([dataGroupRef])
REFERENCES [$(schema)].[DataGroups] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ExecutionDataGroups] CHECK CONSTRAINT [FK_ExecutionDataGroups_DataGroups]
GO
/****** Object:  ForeignKey [FK_ExecutionDataGroups_ExecutionActions]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ExecutionDataGroups]  WITH CHECK ADD  CONSTRAINT [FK_ExecutionDataGroups_ExecutionActions] FOREIGN KEY([executionActionRef])
REFERENCES [$(schema)].[ExecutionActions] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ExecutionDataGroups] CHECK CONSTRAINT [FK_ExecutionDataGroups_ExecutionActions]
GO
/****** Object:  ForeignKey [FK_ExecutionDataGroups_UserScriptData]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ExecutionDataGroups]  WITH CHECK ADD  CONSTRAINT [FK_ExecutionDataGroups_UserScriptData] FOREIGN KEY([userScriptDataRef])
REFERENCES [$(schema)].[UserScriptData] ([id])
GO
ALTER TABLE [$(schema)].[ExecutionDataGroups] CHECK CONSTRAINT [FK_ExecutionDataGroups_UserScriptData]
GO
/****** Object:  ForeignKey [FK_ExecutionScenarios_ExecutionTestSuites]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ExecutionScenarios]  WITH CHECK ADD  CONSTRAINT [FK_ExecutionScenarios_ExecutionTestSuites] FOREIGN KEY([executionTestSuiteRef])
REFERENCES [$(schema)].[ExecutionTestSuites] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ExecutionScenarios] CHECK CONSTRAINT [FK_ExecutionScenarios_ExecutionTestSuites]
GO
/****** Object:  ForeignKey [FK_ExecutionScenarios_PlannedScenarios]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ExecutionScenarios]  WITH CHECK ADD  CONSTRAINT [FK_ExecutionScenarios_PlannedScenarios] FOREIGN KEY([plannedScenarioRef])
REFERENCES [$(schema)].[PlannedScenarios] ([id])
GO
ALTER TABLE [$(schema)].[ExecutionScenarios] CHECK CONSTRAINT [FK_ExecutionScenarios_PlannedScenarios]
GO
/****** Object:  ForeignKey [FK_ExecutionScenarioVariables_DataNames]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ExecutionScenarioVariables]  WITH CHECK ADD  CONSTRAINT [FK_ExecutionScenarioVariables_DataNames] FOREIGN KEY([dataNameRef])
REFERENCES [$(schema)].[DataNames] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ExecutionScenarioVariables] CHECK CONSTRAINT [FK_ExecutionScenarioVariables_DataNames]
GO
/****** Object:  ForeignKey [FK_ExecutionScenarioVariables_ExecutionScenarios]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ExecutionScenarioVariables]  WITH CHECK ADD  CONSTRAINT [FK_ExecutionScenarioVariables_ExecutionScenarios] FOREIGN KEY([executionScenarioRef])
REFERENCES [$(schema)].[ExecutionScenarios] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ExecutionScenarioVariables] CHECK CONSTRAINT [FK_ExecutionScenarioVariables_ExecutionScenarios]
GO
/****** Object:  ForeignKey [FK_ExecutionTestCases_ExecutionScenarios]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ExecutionTestCases]  WITH CHECK ADD  CONSTRAINT [FK_ExecutionTestCases_ExecutionScenarios] FOREIGN KEY([executionScenarioRef])
REFERENCES [$(schema)].[ExecutionScenarios] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ExecutionTestCases] CHECK CONSTRAINT [FK_ExecutionTestCases_ExecutionScenarios]
GO
/****** Object:  ForeignKey [FK_ExecutionTestCases_PlannedTestCases]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ExecutionTestCases]  WITH CHECK ADD  CONSTRAINT [FK_ExecutionTestCases_PlannedTestCases] FOREIGN KEY([plannedTestCaseRef])
REFERENCES [$(schema)].[PlannedTestCases] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ExecutionTestCases] CHECK CONSTRAINT [FK_ExecutionTestCases_PlannedTestCases]
GO
/****** Object:  ForeignKey [FK_ExecutionTestSuites_UserEnvironments]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ExecutionTestSuites]  WITH CHECK ADD  CONSTRAINT [FK_ExecutionTestSuites_UserEnvironments] FOREIGN KEY([userEnvironmentRef])
REFERENCES [$(schema)].[UserEnvironments] ([id])
GO
ALTER TABLE [$(schema)].[ExecutionTestSuites] CHECK CONSTRAINT [FK_ExecutionTestSuites_UserEnvironments]
GO
/****** Object:  ForeignKey [FK_FilterActions_ExecutionActions]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[FilterActions]  WITH CHECK ADD  CONSTRAINT [FK_FilterActions_ExecutionActions] FOREIGN KEY([executionActionRef])
REFERENCES [$(schema)].[ExecutionActions] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[FilterActions] CHECK CONSTRAINT [FK_FilterActions_ExecutionActions]
GO
/****** Object:  ForeignKey [FK_FilterActions_FilterTestCases]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[FilterActions]  WITH CHECK ADD  CONSTRAINT [FK_FilterActions_FilterTestCases] FOREIGN KEY([filterTestCaseRef])
REFERENCES [$(schema)].[FilterTestCases] ([id])
GO
ALTER TABLE [$(schema)].[FilterActions] CHECK CONSTRAINT [FK_FilterActions_FilterTestCases]
GO
/****** Object:  ForeignKey [FK_FilterDataGroups_ExecutionDataGroups]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[FilterDataGroups]  WITH CHECK ADD  CONSTRAINT [FK_FilterDataGroups_ExecutionDataGroups] FOREIGN KEY([executionDataGroupRef])
REFERENCES [$(schema)].[ExecutionDataGroups] ([id])
GO
ALTER TABLE [$(schema)].[FilterDataGroups] CHECK CONSTRAINT [FK_FilterDataGroups_ExecutionDataGroups]
GO
/****** Object:  ForeignKey [FK_FilterDataGroups_FilterActions]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[FilterDataGroups]  WITH CHECK ADD  CONSTRAINT [FK_FilterDataGroups_FilterActions] FOREIGN KEY([filterActionRef])
REFERENCES [$(schema)].[FilterActions] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[FilterDataGroups] CHECK CONSTRAINT [FK_FilterDataGroups_FilterActions]
GO
/****** Object:  ForeignKey [FK_FilterKeywords_DataNames]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[FilterKeywords]  WITH CHECK ADD  CONSTRAINT [FK_FilterKeywords_DataNames] FOREIGN KEY([dataNameRef])
REFERENCES [$(schema)].[DataNames] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[FilterKeywords] CHECK CONSTRAINT [FK_FilterKeywords_DataNames]
GO
/****** Object:  ForeignKey [FK_FilterKeywords_FilterDataGroups]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[FilterKeywords]  WITH CHECK ADD  CONSTRAINT [FK_FilterKeywords_FilterDataGroups] FOREIGN KEY([filterDataGroupRef])
REFERENCES [$(schema)].[FilterDataGroups] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[FilterKeywords] CHECK CONSTRAINT [FK_FilterKeywords_FilterDataGroups]
GO
/****** Object:  ForeignKey [FK_FilterScenarios_ExecutionScenarios]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[FilterScenarios]  WITH CHECK ADD  CONSTRAINT [FK_FilterScenarios_ExecutionScenarios] FOREIGN KEY([executionScenarioRef])
REFERENCES [$(schema)].[ExecutionScenarios] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[FilterScenarios] CHECK CONSTRAINT [FK_FilterScenarios_ExecutionScenarios]
GO
/****** Object:  ForeignKey [FK_FilterScenarios_FilterSuites]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[FilterScenarios]  WITH CHECK ADD  CONSTRAINT [FK_FilterScenarios_FilterSuites] FOREIGN KEY([filterSuiteRef])
REFERENCES [$(schema)].[FilterSuites] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[FilterScenarios] CHECK CONSTRAINT [FK_FilterScenarios_FilterSuites]
GO
/****** Object:  ForeignKey [FK_FilterSuites_ExecutionTestSuites]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[FilterSuites]  WITH CHECK ADD  CONSTRAINT [FK_FilterSuites_ExecutionTestSuites] FOREIGN KEY([executionTestSuiteRef])
REFERENCES [$(schema)].[ExecutionTestSuites] ([id])
GO
ALTER TABLE [$(schema)].[FilterSuites] CHECK CONSTRAINT [FK_FilterSuites_ExecutionTestSuites]
GO
/****** Object:  ForeignKey [FK_FilterTestCases_ExecutionTestCases]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[FilterTestCases]  WITH CHECK ADD  CONSTRAINT [FK_FilterTestCases_ExecutionTestCases] FOREIGN KEY([executionTestCaseRef])
REFERENCES [$(schema)].[ExecutionTestCases] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[FilterTestCases] CHECK CONSTRAINT [FK_FilterTestCases_ExecutionTestCases]
GO
/****** Object:  ForeignKey [FK_FilterTestCases_FilterScenarios]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[FilterTestCases]  WITH CHECK ADD  CONSTRAINT [FK_FilterTestCases_FilterScenarios] FOREIGN KEY([filterScenarioRef])
REFERENCES [$(schema)].[FilterScenarios] ([id])
GO
ALTER TABLE [$(schema)].[FilterTestCases] CHECK CONSTRAINT [FK_FilterTestCases_FilterScenarios]
GO
/****** Object:  ForeignKey [FK_FilterValues_FilterKeywords]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[FilterValues]  WITH CHECK ADD  CONSTRAINT [FK_FilterValues_FilterKeywords] FOREIGN KEY([filterKeywordRef])
REFERENCES [$(schema)].[FilterKeywords] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[FilterValues] CHECK CONSTRAINT [FK_FilterValues_FilterKeywords]
GO
/****** Object:  ForeignKey [FK_GeneratedValues_Environments]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[GeneratedValues]  WITH CHECK ADD  CONSTRAINT [FK_GeneratedValues_Environments] FOREIGN KEY([environmentRef])
REFERENCES [$(schema)].[Environments] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[GeneratedValues] CHECK CONSTRAINT [FK_GeneratedValues_Environments]
GO
/****** Object:  ForeignKey [FK_group_members_groups]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[group_members]  WITH CHECK ADD  CONSTRAINT [FK_group_members_groups] FOREIGN KEY([group_id])
REFERENCES [$(schema)].[groups] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[group_members] CHECK CONSTRAINT [FK_group_members_groups]
GO
/****** Object:  ForeignKey [FK_MessageResults_DataGroupResults]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[MessageResults]  WITH CHECK ADD  CONSTRAINT [FK_MessageResults_DataGroupResults] FOREIGN KEY([dataGroupResultsRef])
REFERENCES [$(schema)].[DataGroupResults] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[MessageResults] CHECK CONSTRAINT [FK_MessageResults_DataGroupResults]
GO
/****** Object:  ForeignKey [FK_OutputResultsData_DataGroupResults]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[OutputResultsData]  WITH CHECK ADD  CONSTRAINT [FK_OutputResultsData_DataGroupResults] FOREIGN KEY([dataGroupResultsRef])
REFERENCES [$(schema)].[DataGroupResults] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[OutputResultsData] CHECK CONSTRAINT [FK_OutputResultsData_DataGroupResults]
GO
/****** Object:  ForeignKey [FK_PlannedActions_PlannedTestCases]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[PlannedActions]  WITH CHECK ADD  CONSTRAINT [FK_PlannedActions_PlannedTestCases] FOREIGN KEY([plannedTestCaseRef])
REFERENCES [$(schema)].[PlannedTestCases] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[PlannedActions] CHECK CONSTRAINT [FK_PlannedActions_PlannedTestCases]
GO
/****** Object:  ForeignKey [FK_PlannedScenarios_Scenarios]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[PlannedScenarios]  WITH CHECK ADD  CONSTRAINT [FK_PlannedScenarios_Scenarios] FOREIGN KEY([scenarioRef])
REFERENCES [$(schema)].[Scenarios] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[PlannedScenarios] CHECK CONSTRAINT [FK_PlannedScenarios_Scenarios]
GO
/****** Object:  ForeignKey [FK_PreconditionResultsData_DataGroupResults]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[PreconditionResultsData]  WITH CHECK ADD  CONSTRAINT [FK_PreconditionResultsData_DataGroupResults] FOREIGN KEY([dataGroupResultsRef])
REFERENCES [$(schema)].[DataGroupResults] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[PreconditionResultsData] CHECK CONSTRAINT [FK_PreconditionResultsData_DataGroupResults]
GO
/****** Object:  ForeignKey [FK_ResultsData_DataGroupResults]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ResultsData]  WITH CHECK ADD  CONSTRAINT [FK_ResultsData_DataGroupResults] FOREIGN KEY([dataGroupResultsRef])
REFERENCES [$(schema)].[DataGroupResults] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ResultsData] CHECK CONSTRAINT [FK_ResultsData_DataGroupResults]
GO
/****** Object:  ForeignKey [FK_RowIdentifiers_ActionNames]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[RowIdentifiers]  WITH CHECK ADD  CONSTRAINT [FK_RowIdentifiers_ActionNames] FOREIGN KEY([actionNameRef])
REFERENCES [$(schema)].[ActionNames] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[RowIdentifiers] CHECK CONSTRAINT [FK_RowIdentifiers_ActionNames]
GO
/****** Object:  ForeignKey [FK_RowIdentifiers_Scriptdata]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[RowIdentifiers]  WITH CHECK ADD  CONSTRAINT [FK_RowIdentifiers_Scriptdata] FOREIGN KEY([scriptDataRef])
REFERENCES [$(schema)].[Scriptdata] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[RowIdentifiers] CHECK CONSTRAINT [FK_RowIdentifiers_Scriptdata]
GO
/****** Object:  ForeignKey [FK_ScenarioResults_Scenarios]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ScenarioResults]  WITH CHECK ADD  CONSTRAINT [FK_ScenarioResults_Scenarios] FOREIGN KEY([scenarioRef])
REFERENCES [$(schema)].[Scenarios] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ScenarioResults] CHECK CONSTRAINT [FK_ScenarioResults_Scenarios]
GO
/****** Object:  ForeignKey [FK_ScenarioResults_SuiteRowResults]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ScenarioResults]  WITH CHECK ADD  CONSTRAINT [FK_ScenarioResults_SuiteRowResults] FOREIGN KEY([suiteRowResultsRef])
REFERENCES [$(schema)].[SuiteRowResults] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ScenarioResults] CHECK CONSTRAINT [FK_ScenarioResults_SuiteRowResults]
GO
/****** Object:  ForeignKey [FK_Scenarios_Environments]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[Scenarios]  WITH CHECK ADD  CONSTRAINT [FK_Scenarios_Environments] FOREIGN KEY([environmentRef])
REFERENCES [$(schema)].[Environments] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[Scenarios] CHECK CONSTRAINT [FK_Scenarios_Environments]
GO
/****** Object:  ForeignKey [FK_Scriptdata_DataGroups]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[Scriptdata]  WITH CHECK ADD  CONSTRAINT [FK_Scriptdata_DataGroups] FOREIGN KEY([dataGroupRef])
REFERENCES [$(schema)].[DataGroups] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[Scriptdata] CHECK CONSTRAINT [FK_Scriptdata_DataGroups]
GO
/****** Object:  ForeignKey [FK_Scriptdata_Users]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[Scriptdata]  WITH CHECK ADD  CONSTRAINT [FK_Scriptdata_Users] FOREIGN KEY([userRef])
REFERENCES [$(schema)].[Users] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[Scriptdata] CHECK CONSTRAINT [FK_Scriptdata_Users]
GO
/****** Object:  ForeignKey [FK_ScriptDataNames_DataNames]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ScriptDataNames]  WITH CHECK ADD  CONSTRAINT [FK_ScriptDataNames_DataNames] FOREIGN KEY([dataNameRef])
REFERENCES [$(schema)].[DataNames] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ScriptDataNames] CHECK CONSTRAINT [FK_ScriptDataNames_DataNames]
GO
/****** Object:  ForeignKey [FK_ScriptDataNames_Scripts]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ScriptDataNames]  WITH CHECK ADD  CONSTRAINT [FK_ScriptDataNames_Scripts] FOREIGN KEY([scriptRef])
REFERENCES [$(schema)].[Scripts] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ScriptDataNames] CHECK CONSTRAINT [FK_ScriptDataNames_Scripts]
GO
/****** Object:  ForeignKey [FK_Scripts_Environments]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[Scripts]  WITH CHECK ADD  CONSTRAINT [FK_Scripts_Environments] FOREIGN KEY([environmentRef])
REFERENCES [$(schema)].[Environments] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[Scripts] CHECK CONSTRAINT [FK_Scripts_Environments]
GO
/****** Object:  ForeignKey [FK_Signins_Environments]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[Signins]  WITH CHECK ADD  CONSTRAINT [FK_Signins_Environments] FOREIGN KEY([environmentRef])
REFERENCES [$(schema)].[Environments] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[Signins] CHECK CONSTRAINT [FK_Signins_Environments]
GO
/****** Object:  ForeignKey [FK_Signins_Users]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[Signins]  WITH CHECK ADD  CONSTRAINT [FK_Signins_Users] FOREIGN KEY([userRef])
REFERENCES [$(schema)].[Users] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[Signins] CHECK CONSTRAINT [FK_Signins_Users]
GO
/****** Object:  ForeignKey [FK_SuiteRowResults_TestSuiteResults]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[SuiteRowResults]  WITH CHECK ADD  CONSTRAINT [FK_SuiteRowResults_TestSuiteResults] FOREIGN KEY([testSuiteResultsRef])
REFERENCES [$(schema)].[TestSuiteResults] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[SuiteRowResults] CHECK CONSTRAINT [FK_SuiteRowResults_TestSuiteResults]
GO
/****** Object:  ForeignKey [FK_TestCaseResults_TestCases]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[TestCaseResults]  WITH CHECK ADD  CONSTRAINT [FK_TestCaseResults_TestCases] FOREIGN KEY([testCaseRef])
REFERENCES [$(schema)].[TestCases] ([id])
GO
ALTER TABLE [$(schema)].[TestCaseResults] CHECK CONSTRAINT [FK_TestCaseResults_TestCases]
GO
/****** Object:  ForeignKey [FK_TestCases_Environments]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[TestCases]  WITH CHECK ADD  CONSTRAINT [FK_TestCases_Environments] FOREIGN KEY([environmentRef])
REFERENCES [$(schema)].[Environments] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[TestCases] CHECK CONSTRAINT [FK_TestCases_Environments]
GO
/****** Object:  ForeignKey [FK_TestSuiteResults_ExecutionTestSuites]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[TestSuiteResults]  WITH CHECK ADD  CONSTRAINT [FK_TestSuiteResults_ExecutionTestSuites] FOREIGN KEY([executionTestSuiteRef])
REFERENCES [$(schema)].[ExecutionTestSuites] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[TestSuiteResults] CHECK CONSTRAINT [FK_TestSuiteResults_ExecutionTestSuites]
GO
/****** Object:  ForeignKey [FK_UserActionData_DataNames]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[UserActionData]  WITH CHECK ADD  CONSTRAINT [FK_UserActionData_DataNames] FOREIGN KEY([dataNameRef])
REFERENCES [$(schema)].[DataNames] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[UserActionData] CHECK CONSTRAINT [FK_UserActionData_DataNames]
GO
/****** Object:  ForeignKey [FK_UserActionData_UserRowIdentifiers]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[UserActionData]  WITH CHECK ADD  CONSTRAINT [FK_UserActionData_UserRowIdentifiers] FOREIGN KEY([userRowIdentifierRef])
REFERENCES [$(schema)].[UserRowIdentifiers] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[UserActionData] CHECK CONSTRAINT [FK_UserActionData_UserRowIdentifiers]
GO
/****** Object:  ForeignKey [FK_UserDataGroupDataNames_DataNames]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[UserDataGroupDataNames]  WITH CHECK ADD  CONSTRAINT [FK_UserDataGroupDataNames_DataNames] FOREIGN KEY([dataNameRef])
REFERENCES [$(schema)].[DataNames] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[UserDataGroupDataNames] CHECK CONSTRAINT [FK_UserDataGroupDataNames_DataNames]
GO
/****** Object:  ForeignKey [FK_UserDataGroupDataNames_UserScriptdata]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[UserDataGroupDataNames]  WITH CHECK ADD  CONSTRAINT [FK_UserDataGroupDataNames_UserScriptdata] FOREIGN KEY([userScriptDataRef])
REFERENCES [$(schema)].[UserScriptData] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[UserDataGroupDataNames] CHECK CONSTRAINT [FK_UserDataGroupDataNames_UserScriptdata]
GO
/****** Object:  ForeignKey [FK_UserEnvironments_Environments]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[UserEnvironments]  WITH CHECK ADD  CONSTRAINT [FK_UserEnvironments_Environments] FOREIGN KEY([environmentRef])
REFERENCES [$(schema)].[Environments] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[UserEnvironments] CHECK CONSTRAINT [FK_UserEnvironments_Environments]
GO
/****** Object:  ForeignKey [FK_UserEnvironments_Users]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[UserEnvironments]  WITH CHECK ADD  CONSTRAINT [FK_UserEnvironments_Users] FOREIGN KEY([userRef])
REFERENCES [$(schema)].[Users] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[UserEnvironments] CHECK CONSTRAINT [FK_UserEnvironments_Users]
GO
/****** Object:  ForeignKey [FK_UserRowIdentifiers_UserScriptData]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[UserRowIdentifiers]  WITH CHECK ADD  CONSTRAINT [FK_UserRowIdentifiers_UserScriptData] FOREIGN KEY([userScriptDataRef])
REFERENCES [$(schema)].[UserScriptData] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[UserRowIdentifiers] CHECK CONSTRAINT [FK_UserRowIdentifiers_UserScriptData]
GO
/****** Object:  ForeignKey [FK_UserScriptData_DataGroups]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[UserScriptData]  WITH CHECK ADD  CONSTRAINT [FK_UserScriptData_DataGroups] FOREIGN KEY([dataGroupRef])
REFERENCES [$(schema)].[DataGroups] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[UserScriptData] CHECK CONSTRAINT [FK_UserScriptData_DataGroups]
GO
/****** Object:  ForeignKey [FK_UserScriptData_Users]    Script Date: 05/09/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[UserScriptData]  WITH CHECK ADD  CONSTRAINT [FK_UserScriptData_Users] FOREIGN KEY([userRef])
REFERENCES [$(schema)].[Users] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[UserScriptData] CHECK CONSTRAINT [FK_UserScriptData_Users]
GO
/****** Object:  ForeignKey [FK_UserPreferences_Users]    Script Date: 05/29/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[UserPreferences]  WITH CHECK ADD  CONSTRAINT [FK_UserPreferences_Users] FOREIGN KEY([userRef])
REFERENCES [$(schema)].[Users] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[UserPreferences] CHECK CONSTRAINT [FK_UserPreferences_Users]
GO
/****** Object:  ForeignKey [FK_UserEnvironmentPreferences_UserEnvironments]    Script Date: 05/29/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[UserEnvironmentPreferences]  WITH CHECK ADD  CONSTRAINT [FK_UserEnvironmentPreferences_UserEnvironments] FOREIGN KEY([userEnvironmentRef])
REFERENCES [$(schema)].[UserEnvironments] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[UserEnvironmentPreferences] CHECK CONSTRAINT [FK_UserEnvironmentPreferences_UserEnvironments]
GO
/****** Object:  ForeignKey [FK_ExecutionTestSuitePreferences_ExecutionTestSuites]    Script Date: 05/29/2013 14:53:06 ******/
ALTER TABLE [$(schema)].[ExecutionTestSuitePreferences]  WITH CHECK ADD  CONSTRAINT [FK_ExecutionTestSuitePreferences_ExecutionTestSuites] FOREIGN KEY([executionTestSuiteRef])
REFERENCES [$(schema)].[ExecutionTestSuites] ([id])
ON DELETE CASCADE
GO
ALTER TABLE [$(schema)].[ExecutionTestSuitePreferences] CHECK CONSTRAINT [FK_ExecutionTestSuitePreferences_ExecutionTestSuites]
GO